# POST /agents/:id/update-settings

**Resource:** [Agents](./agents.md)  
**Scopes:** `voice-agents:write`  
**Write operation:** yes

Update voice and behavior settings on the voice provider without touching the conversation flow (voice only). Accepted fields: voice_id, voice_model, language, fallback_voice_ids, voice_speed, voice_temperature, volume, responsiveness, interruption_sensitivity, enable_backchannel, backchannel_frequency, normalize_for_speech, max_call_duration_ms, end_call_after_silence_ms, reminder_trigger_ms, reminder_max_count, ambient_sound, ambient_sound_volume, data_storage_setting.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | uuid | yes | Voice agent ID |
| `settings` | body | object | yes | Settings fields to update |

## Request example

```bash
{"settings": {"voice_id": "11labs-Adrian", "language": "en-AU", "voice_speed": 1.1, "responsiveness": 0.8}}
```

## Response example

```json
{"success": true, "message": "Agent settings updated successfully", "settings": {"voice_id": "11labs-Adrian", "voice_speed": 1.1}}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`